package com.zcloud.zcGbsServicer.persistence.repository.impl;

import com.alibaba.cola.dto.PageResponse;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jjb.saas.framework.repository.common.PageHelper;
import com.jjb.saas.framework.repository.repo.impl.BaseRepositoryImpl;
import com.zcloud.gbscommon.utils.PageQueryHelper;
import com.zcloud.gbscommon.utils.Query;
import com.zcloud.zcGbsServicer.persistence.dataobject.PumpRoomDO;
import com.zcloud.zcGbsServicer.persistence.mapper.PumpRoomMapper;
import com.zcloud.zcGbsServicer.persistence.repository.PumpRoomRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
* web-infrastructure
* @Author makejava
* @Date 2026-01-21 17:22:16
*/
@Service
@RequiredArgsConstructor
public class PumpRoomRepositoryImpl extends BaseRepositoryImpl<PumpRoomMapper, PumpRoomDO> implements PumpRoomRepository {
    private final PumpRoomMapper pumpRoomMapper;

    @Override
    public PageResponse<PumpRoomDO> listPage(Map<String, Object> params) {
        IPage<PumpRoomDO> iPage = new Query<PumpRoomDO>().getPage(params);
        QueryWrapper<PumpRoomDO> queryWrapper = new QueryWrapper<>();
        Object corpId = params == null ? null : params.remove("eqCorpId");
        String menuPerms = params == null ? null : (String) params.remove("menuPerms");
        queryWrapper = PageQueryHelper.createPageQueryWrapper(queryWrapper, params);
        if (corpId != null) {
            queryWrapper.eq("tenant_id", corpId);
        }
        IPage<PumpRoomDO> result = pumpRoomMapper.selectPageSql(iPage, queryWrapper, menuPerms);
        return PageHelper.pageToResponse(result, result.getRecords());
    }

    @Override
    public PageResponse<PumpRoomDO> listScreen(IPage<PumpRoomDO> page, Map<String, Object> params) {
        IPage<PumpRoomDO> result = pumpRoomMapper.selectScreenList(page, params);
        return PageHelper.pageToResponse(result, result.getRecords());
    }
}
